Subject: Re: [bug#54220] [PATCH] doc: Add "Using TeX and LaTeX" chapter.

From: zimoun <[email-masked]>
Date: Wed, 2 Mar 2022 14:42:24 +0100

Hi,

Cool!  It is better than pinging Ricardo on IRC. ;-)

On Wed, 2 Mar 2022 at 11:27, Ricardo Wurmus <[email-masked]> wrote:

> > It’s a top-level chapter, because I couldn’t find any better place, but
> > I think it’s fine.
>
> Hmm, maybe in (possibly renamed) “Application Setup”?

This section starts with:

        When using Guix on top of GNU/Linux distribution other than Guix
        System—a so-called foreign distro—a few additional steps are
        needed to get everything in place. Here are some of them.

and the TeX/LaTeX is not foreign distro specific.  Therefore, some
tweaks are necessary to clearly state what is foreign-distro specific
and what is generic with Guix.

> > +@cindex @TeX{} packages
> > +@cindex @LaTeX{} packages
> > +Guix provides packages for the @TeX{} and @LaTeX{} typesetting systems,
> > +taken from the @uref{https://www.tug.org/texlive/, @TeX{} Live
> > +distribution}.  However, because @TeX{} Live is so huge and because
> > +finding your way in this maze is tricky, we thought that you, dear user,
> > +would welcome guidance on how to deploy the relevant packages so you can
> > +compile your @TeX{} and @LaTeX{} documents.
>
> Why single out TeX in particular?  TeX Live also includes ConTeXt,
> Xe(La)TeX, Lua(La)TeX etc.  I guess LaTeX is the most widely known and
> TeX is the common basis of them all, so maybe that’s good enough a
> reason.

I propose "and LaTeX" -> "and variants".  Or something along that.
And probably adds a list with all the variant since it is not
straightforward to know how to get these TeX system variants.

Cheers,
simon